compact1, compact2, compact3
java.security.cert

## Class CertificateNotYetValidException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.security.GeneralSecurityException
      - - java.security.cert.CertificateException
        - - java.security.cert.CertificateNotYetValidException

- All Implemented Interfaces:
    Serializable

      public class CertificateNotYetValidException
      extends CertificateException

  Certificate is not yet valid exception. This is thrown whenever the current `Date` or the specified `Date` is before the `notBefore` date/time in the Certificate validity period.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CertificateNotYetValidException()` Constructs a CertificateNotYetValidException with no detail message.
    `CertificateNotYetValidException(String message)` Constructs a CertificateNotYetValidException with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CertificateNotYetValidException

          public CertificateNotYetValidException()

      Constructs a CertificateNotYetValidException with no detail message. A detail message is a String that describes this particular exception.

    - #### CertificateNotYetValidException

          public CertificateNotYetValidException(String message)

      Constructs a CertificateNotYetValidException with the specified detail message. A detail message is a String that describes this particular exception.
      Parameters:
        `message` - the detail message.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.